import{a as r,r as d,b as i,c as s,m as b,d as u,o as l,e as v,t as h}from"./C4iVU24-.js";var m={props:{icon:{type:String},iconRight:{type:String},label:{type:String},outlined:{type:Boolean,default:!1},push:{type:Boolean,default:!1},raised:{type:Boolean,default:!1},deepShadow:{type:Boolean,default:!1},deepShadowHover:{type:Boolean,default:!1},rounded:{type:Boolean,default:!1},size:{type:String,default:"md"},type:{type:String,default:"button"},inline:{type:Boolean,default:!1}},computed:{buttonClass(){return{"--icon-only":this.icon&&!this.label,"--rounded":this.rounded,"--size-sm":this.size==="sm","--size-md":this.size==="md","--size-lg":this.size==="lg","--size-xl":this.size==="xl","--raised":this.raised,"--deep-shadow-hover":this.deepShadowHover,"--deep-shadow":this.deepShadow,"--push":this.raised||this.push,"--outlined":this.outlined,"--inline":this.inline}},listeners(){return this.$listeners?{...this.$listeners}:{}}}};const f={key:0,class:"lv-button__prepend"},p={key:0,class:"lv-button__icon"},g={class:"lv-button__label"},y={key:1,class:"lv-button__append"},x={key:0,class:"lv-button__icon"};(function(e,a){a===void 0&&(a={});var n=a.insertAt;if(typeof document<"u"){var t=document.head||document.getElementsByTagName("head")[0],o=document.createElement("style");o.type="text/css",n==="top"&&t.firstChild?t.insertBefore(o,t.firstChild):t.appendChild(o),o.styleSheet?o.styleSheet.cssText=e:o.appendChild(document.createTextNode(e))}})(`.lv-button {
  margin: 0;
  display: flex;
  cursor: pointer;
  user-select: none;
  align-items: center;
  vertical-align: bottom;
  text-align: center;
  overflow: hidden;
  position: relative;
  white-space: nowrap; }
  .lv-button:disabled {
    opacity: 0.6;
    cursor: default; }
  .lv-button.--inline {
    display: inline-flex; }
  .lv-button.--rounded {
    border-radius: 2rem; }
  .lv-button.--push {
    transition: all 0.2s ease-in-out; }
    .lv-button.--push:active {
      box-shadow: none;
      transform: translateY(2px); }
  .lv-button.--icon-only {
    justify-content: center; }
    .lv-button.--icon-only.--rounded {
      border-radius: 50%; }
    .lv-button.--icon-only .lv-button__prepend {
      margin: 0; }
    .lv-button.--icon-only .lv-button__append {
      margin: 0; }
    .lv-button.--icon-only .lv-button__label {
      visibility: hidden;
      width: 0;
      flex: 0 0 auto; }
  .lv-button .lv-button__prepend {
    margin-right: 0.5rem; }
  .lv-button .lv-button__append {
    margin-left: 0.5rem; }
  .lv-button .lv-button__label {
    flex: 1 1 auto; }
  .lv-button .lv-button__icon {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%; }

.lv-buttonset {
  display: flex;
  /* All the below properties are important! */ }
  .lv-buttonset .lv-button {
    /* To prevent accidental margins */
    margin: 0 !important;
    /* all the middle buttons. */
    /* For only first button */
    /* For only last button */ }
    .lv-buttonset .lv-button:not(:last-child) {
      border-right: 0 none; }
    .lv-buttonset .lv-button:not(:first-child) {
      border-left: 0 none; }
    .lv-buttonset .lv-button:not(:first-of-type):not(:last-of-type) {
      border-radius: 0; }
    .lv-buttonset .lv-button:first-of-type {
      border-top-right-radius: 0;
      border-bottom-right-radius: 0; }
    .lv-buttonset .lv-button:last-of-type {
      border-top-left-radius: 0;
      border-bottom-left-radius: 0; }
    .lv-buttonset .lv-button:focus {
      z-index: 1; }

.lv--primary {
  --theme-color: #38b2ac;
  --theme-color-light: #8ed8d6;
  --theme-color-dark: #319795;
  --theme-color-inverse: #ffffff; }

.lv--secondary {
  --theme-color: #607d8b;
  --theme-color-light: #beccd2;
  --theme-color-dark: #56717d;
  --theme-color-inverse: #ffffff; }

.lv--success {
  --theme-color: #008c7f;
  --theme-color-light: #95e8df;
  --theme-color-dark: #03655b;
  --theme-color-inverse: #ffffff; }

.lv--info {
  --theme-color: #0288d1;
  --theme-color-light: #89d4fe;
  --theme-color-dark: #027abc;
  --theme-color-inverse: #ffffff; }

.lv--warning {
  --theme-color: #ffb300;
  --theme-color-light: #ffd36d;
  --theme-color-dark: #df9c00;
  --theme-color-inverse: #ffffff; }

.lv--help {
  --theme-color: #795548;
  --theme-color-light: #baafac;
  --theme-color-dark: #795548;
  --theme-color-inverse: #ffffff; }

.lv--danger {
  --theme-color: #bb2727;
  --theme-color-light: #e9a5a5;
  --theme-color-dark: #9b2222;
  --theme-color-inverse: #ffffff; }

.lv--plain {
  --theme-color: #3f51b5;
  --theme-color-light: #acb7f7;
  --theme-color-dark: #2e3fa2;
  --theme-color-inverse: #ffffff; }

.lv--complementary {
  --theme-color: #edf1f5 !important;
  --theme-color-light: #8ed8d6 !important;
  --theme-color-dark: #dfe5ea !important;
  --theme-color-inverse: #718096 !important; }

.lv-button {
  color: var(--theme-color-inverse);
  background-color: var(--theme-color);
  border: none;
  padding: 12px 20px;
  font-size: 1rem;
  transition: background-color 0.2s, color 0.2s, border-color 0.2s, box-shadow 0.2s, border-radius 0.3s;
  border-radius: 4px;
  /* Raised Buttons */ }
  .lv-button:enabled:hover {
    background-color: var(--theme-color-dark);
    color: var(--theme-color-inverse); }
  .lv-button:enabled:active {
    background-color: var(--theme-color);
    color: var(--theme-color-inverse); }
  .lv-button:focus {
    outline: 0 none;
    outline-offset: 0; }
  .lv-button.--size-sm {
    font-size: 0.875rem;
    padding: 0.4375rem 0.875rem; }
    .lv-button.--size-sm .lv-button__icon i {
      font-size: 0.875rem; }
  .lv-button.--size-md {
    font-size: 1rem;
    padding: 0.5rem 1rem; }
    .lv-button.--size-md .lv-button__icon i {
      font-size: 1rem; }
  .lv-button.--size-lg {
    font-size: 1.25rem;
    padding: 0.625rem 1.25rem; }
    .lv-button.--size-lg .lv-button__icon i {
      font-size: 1.25rem; }
  .lv-button.--size-xl {
    font-size: 1.5rem;
    padding: 0.75rem 1.5rem; }
    .lv-button.--size-xl .lv-button__icon i {
      font-size: 1.5rem; }
  .lv-button.--raised {
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12); }
  .lv-button.--deep-shadow-hover:hover {
    box-shadow: 0 6px 16px -1px var(--theme-color); }
  .lv-button.--deep-shadow {
    box-shadow: 0 6px 16px -1px var(--theme-color); }
  .lv-button.--raised.--deep-shadow-hover:hover {
    background-color: var(--theme-color) !important;
    color: #ffffff !important;
    box-shadow: 0px 7px 10px var(--theme-color);
    transform: translateY(-3px); }
  .lv-button.--icon-only {
    width: 2.357rem; }
    .lv-button.--icon-only.--rounded {
      height: 2.357rem; }
  .lv-button.--outlined {
    background-color: transparent;
    color: var(--theme-color);
    border: 1px solid; }
    .lv-button.--outlined:enabled:hover {
      background-color: var(--theme-color);
      border: 1px solid var(--theme-color); }
    .lv-button.--outlined:enabled:active {
      background-color: var(--theme-color);
      border: 1px solid var(--theme-color); }
    .lv-button.--outlined.lv--complementary {
      color: var(--theme-color-inverse); }
      .lv-button.--outlined.lv--complementary:enabled:hover {
        background: rgba(33, 150, 243, 0.04);
        color: var(--theme-color-inverse);
        border-color: var(--theme-color-inverse); }
      .lv-button.--outlined.lv--complementary:enabled:active {
        background: rgba(33, 150, 243, 0.04);
        color: var(--theme-color-inverse);
        border-color: var(--theme-color-inverse); }
  .lv-button.--text-button {
    background-color: transparent;
    color: var(--theme-color);
    border-color: transparent; }
    .lv-button.--text-button:enabled:hover {
      background: rgba(33, 150, 243, 0.04);
      color: var(--theme-color);
      border-color: transparent; }
    .lv-button.--text-button:enabled:active {
      background: rgba(33, 150, 243, 0.04);
      color: var(--theme-color);
      border-color: var(--theme-color); }
    .lv-button.--text-button.lv--complementary {
      color: var(--theme-color-inverse); }
      .lv-button.--text-button.lv--complementary:enabled:hover {
        background: rgba(33, 150, 243, 0.04);
        color: var(--theme-color-inverse);
        border-color: var(--theme-color-inverse); }
      .lv-button.--text-button.lv--complementary:enabled:active {
        background: rgba(33, 150, 243, 0.04);
        color: var(--theme-color-inverse);
        border-color: var(--theme-color-inverse); }
  .lv-button.--link-button {
    color: var(--theme-color);
    background: transparent;
    border: transparent;
    text-decoration: none;
    font-weight: 500; }
    .lv-button.--link-button:enabled:hover {
      background: rgba(0, 0, 0, 0.05);
      color: var(--theme-color);
      border-color: transparent; }
    .lv-button.--link-button:enabled:focus {
      background: rgba(0, 0, 0, 0.05);
      box-shadow: none;
      border-color: transparent; }
    .lv-button.--link-button:enabled:active {
      background: transparent;
      color: var(--theme-color);
      border-color: transparent; }

.lv-fluid {
  /* can be provided in parent, to give 100% width */ }
  .lv-fluid .lv-button {
    width: 100%; }
  .lv-fluid .--icon-only {
    width: 2.357rem; }
  .lv-fluid .lv-buttonset {
    display: flex; }
    .lv-fluid .lv-buttonset .lv-button {
      flex: 1; }
`),m.render=function(e,a,n,t,o,c){return l(),r("button",b({class:["lv-button lv--primary",c.buttonClass]},e.$attrs,{type:n.type},u(c.listeners)),[e.$slots.prepend||n.icon?(l(),r("div",f,[d(e.$slots,"prepend",{},()=>[n.icon?(l(),r("div",p,[s("i",{class:n.icon},null,2)])):i("",!0)])])):i("",!0),s("div",g,[d(e.$slots,"default",{},()=>[v(h(n.label||" "),1)])]),e.$slots.append||n.iconRight?(l(),r("div",y,[d(e.$slots,"append",{},()=>[n.iconRight?(l(),r("div",x,[s("i",{class:n.iconRight},null,2)])):i("",!0)])])):i("",!0)],16,["type"])};export{m as default};
