import{c as r,a as t,t as _,b as a,r as s,m as v,d as f,w as c,o as l,e as g}from"./C4iVU24-.js";var h={name:"Input",inheritAttrs:!1,props:{value:{type:[String,Number],default:null},label:{type:String,default:null},name:{type:String},helpText:{type:String,default:""},editable:{type:Boolean,default:!0},placeholderColor:{type:String,default:"rgba(0, 0, 0, 0.3)"},floatingLabel:{type:Boolean,default:!1},bottomBar:{type:Boolean,default:!1},rounded:{type:Boolean,default:!1},iconLeft:{type:String,default:""},iconRight:{type:String,default:""},clearable:{type:Boolean,default:!1},showInputSpinner:{type:Boolean,default:!1}},computed:{modelValue(){return this.value?this.value:this.$attrs.modelValue?this.$attrs.modelValue:null},listeners(){return this.$listeners?{...this.$listeners,input:e=>this.inputEventHandler(e)}:{}},filled(){return this.modelValue!=null&&this.modelValue.toString().length>0}},methods:{inputEventHandler(e){this.$emit("input-native",e),this.updateValue(e.target.value)},updateValue(e){this.$emit("input",e),this.$emit("update:modelValue",e)},handleClear(){this.updateValue(""),this.$emit("clear")}}};const m={key:0,class:"lv-input__prepend"},b={key:0,class:"lv-input__icon"},w={key:2,class:"lv-input__default"},y={class:"lv-hidden-accessible"},x={key:3,class:"lv-input__append"},S=r("i",{class:"light-icon-x"},null,-1),$={key:0,class:"lv-input__icon"},k={key:0,class:"lv-input__help"};(function(e,p){p===void 0&&(p={});var n=p.insertAt;if(typeof document<"u"){var u=document.head||document.getElementsByTagName("head")[0],o=document.createElement("style");o.type="text/css",n==="top"&&u.firstChild?u.insertBefore(o,u.firstChild):u.appendChild(o),o.styleSheet?o.styleSheet.cssText=e:o.appendChild(document.createTextNode(e))}})(`.lv-input__field {
  width: 100%;
  display: flex;
  align-items: stretch;
  position: relative; }
  .lv-input__field .lv-input__element {
    flex-grow: 1;
    background-color: transparent;
    border: none;
    outline: none;
    font-size: inherit; }
  .lv-input__field .lv-input__default {
    flex-grow: 1; }
  .lv-input__field .lv-input__icon {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: #495057; }
  .lv-input__field .lv-input__append {
    padding-left: 12px;
    margin-right: -12px;
    display: flex; }
    .lv-input__field .lv-input__append .lv-input__icon {
      padding-right: 12px; }
  .lv-input__field .lv-input__prepend {
    padding-right: 12px;
    margin-left: -12px;
    display: flex; }
    .lv-input__field .lv-input__prepend .lv-input__icon {
      padding-left: 12px; }

.lv-input__label {
  margin-bottom: 8px;
  font-weight: 500; }

.lv-input__help {
  margin-top: 4px;
  font-size: 12px;
  opacity: 0.8; }

.lv-input__group {
  position: relative; }
  .lv-input__group.--with-floating-label .lv-input__label {
    position: absolute;
    top: 8px;
    font-weight: 300;
    z-index: 1;
    left: 12px;
    transition: all 0.2s ease;
    will-change: font-size, top, color; }
  .lv-input__group.--with-floating-label .lv-input__element::-webkit-input-placeholder {
    color: transparent !important; }
  .lv-input__group.--with-floating-label .lv-input__element:-moz-placeholder {
    /* Firefox 18- */
    color: transparent !important; }
  .lv-input__group.--with-floating-label .lv-input__element::-moz-placeholder {
    /* Firefox 19+ */
    color: transparent !important; }
  .lv-input__group.--with-floating-label .lv-input__element:-ms-input-placeholder {
    color: transparent !important; }
  .lv-input__group.--with-floating-label:focus-within .lv-input__label, .lv-input__group.--with-floating-label.--not-empty .lv-input__label {
    top: -18px;
    font-size: 10px;
    color: #38b2ab;
    font-weight: 600; }
  .lv-input__group.--with-floating-label .lv-input__field {
    margin-top: 20px; }
  .lv-input__group.--with-bottom-bar .lv-input__field {
    overflow: hidden; }
    .lv-input__group.--with-bottom-bar .lv-input__field::after {
      bottom: 0px;
      content: '';
      height: 2px;
      left: 50%;
      background-color: #38b2ab;
      position: absolute;
      transition: all 0.2s ease;
      width: 0;
      will-change: width, left; }
    .lv-input__group.--with-bottom-bar .lv-input__field:focus-within {
      box-shadow: none; }
      .lv-input__group.--with-bottom-bar .lv-input__field:focus-within::after {
        left: 0%;
        width: 100%; }
  .lv-input__group .lv-input__field {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Helvetica, Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';
    font-size: 1rem;
    color: #495057;
    background: #edf2f7;
    padding: 0px 12px;
    border: none;
    transition: background-color 0.2s, color 0.2s, box-shadow 0.2s, border-radius 0.3s;
    appearance: none;
    border-radius: 5px; }
    .lv-input__group .lv-input__field:focus-within {
      outline: 0 none;
      outline-offset: 0;
      box-shadow: 0 0 0 3px rgba(218, 225, 231, 0.8);
      /* border: 2px solid #e1e7ec; */ }
    .lv-input__group .lv-input__field .lv-input__element {
      padding: 10px 0px; }
      .lv-input__group .lv-input__field .lv-input__element::placeholder {
        color: var(--placeholder-color); }
      .lv-input__group .lv-input__field .lv-input__element:-webkit-autofill {
        -webkit-box-shadow: 0 0 0px 1000px #edf2f7 inset; }
    .lv-input__group .lv-input__field .lv-input__default {
      padding: 10px 0px; }
    .lv-input__group .lv-input__field .lv-input__prepend > * {
      border-radius: 5px 0px 0px 5px; }
    .lv-input__group .lv-input__field .lv-input__append > * {
      border-radius: 0px 5px 5px 0px; }
    .lv-input__group .lv-input__field.--rounded {
      border-radius: 30px; }
      .lv-input__group .lv-input__field.--rounded .lv-input__prepend > * {
        border-radius: 30px 0px 0px 30px; }
      .lv-input__group .lv-input__field.--rounded .lv-input__append > * {
        border-radius: 0px 30px 30px 0px; }
    .lv-input__group .lv-input__field:not(.--show-input-spinner) input[type='number'] {
      -moz-appearance: textfield; }
      .lv-input__group .lv-input__field:not(.--show-input-spinner) input[type='number']::-webkit-outer-spin-button, .lv-input__group .lv-input__field:not(.--show-input-spinner) input[type='number']::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0; }
    .lv-input__group .lv-input__field .lv-input__help {
      padding-left: 12px; }
    .lv-input__group .lv-input__field .lv-input-field:hover {
      /* border-color: #2196F3; */ }
    .lv-input__group .lv-input__field .lv-input-field.lv-error,
    .lv-input__group .lv-input__field .lv-input-field.lv-invalid {
      border-color: #f44336; }
    .lv-input__group .lv-input__field .lv-input-field.lv-input-field-sm {
      font-size: 0.875rem;
      padding: 0.4375rem 0.4375rem; }
    .lv-input__group .lv-input__field .lv-input-field.lv-input-field-lg {
      font-size: 1.25rem;
      padding: 0.625rem 0.625rem; }
    .lv-input__group .lv-input__field .lv-input-field-sm .lv-input-field {
      font-size: 0.875rem;
      padding: 0.4375rem 0.4375rem; }
    .lv-input__group .lv-input__field .lv-input-field-lg .lv-input-field {
      font-size: 1.25rem;
      padding: 0.625rem 0.625rem; }

.lv-hidden {
  display: none; }

.lv-hidden-accessible {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px; }
  .lv-hidden-accessible input,
  .lv-hidden-accessible select {
    transform: scale(0); }
`),h.render=function(e,p,n,u,o,i){return l(),t("div",{class:["lv-input__group",{"--with-floating-label":n.floatingLabel},{"--not-empty":i.filled},{"--with-bottom-bar":n.floatingLabel||n.bottomBar}]},[r("label",{for:n.name},[n.label?(l(),t("div",{key:0,class:"lv-input__label",for:n.name},_(n.label),9,["for"])):a("",!0)],8,["for"]),r("div",{class:["lv-input__field",{"--rounded":n.rounded},{"--show-input-spinner":n.showInputSpinner}],style:`--placeholder-color: ${n.placeholderColor}`},[e.$slots.prepend||n.iconLeft?(l(),t("div",m,[s(e.$slots,"prepend",{},()=>[n.iconLeft?(l(),t("div",b,[r("i",{class:n.iconLeft},null,2)])):a("",!0)])])):a("",!0),n.editable?(l(),t("input",v({key:1,class:"lv-input__element",value:i.modelValue},e.$attrs,f(i.listeners),{onInput:p[1]||(p[1]=(...d)=>this.inputEventHandler&&this.inputEventHandler(...d)),name:n.name,id:n.name}),null,16,["value","name","id"])):(l(),t("div",w,[s(e.$slots,"default",{},()=>[g(_(i.modelValue||e.$attrs.placeholder),1)]),r("div",y,[r("input",v({type:"text",readonly:"",value:i.modelValue},e.$attrs,f(i.listeners),{name:n.name}),null,16,["value","name"])])])),e.$slots.append||n.iconRight||n.clearable?(l(),t("div",x,[n.clearable&&i.filled?(l(),t("div",{key:0,class:"lv-input__icon",style:{cursor:"pointer"},onClick:p[2]||(p[2]=c((...d)=>i.handleClear&&i.handleClear(...d),["stop"]))},[S])):a("",!0),s(e.$slots,"append",{},()=>[n.iconRight?(l(),t("div",$,[r("i",{class:n.iconRight},null,2)])):a("",!0)])])):a("",!0)],6),n.helpText?(l(),t("div",k,_(n.helpText),1)):a("",!0)],2)};export{h as default};
